
#include <SoftwareSerial.h>
SoftwareSerial BLE_Serial(6, 7); // RX sur pin D6, TX sur pin D7

word w; // Déclaration de la variable w de type mot    0 < w <65535

 
void setup() 
{ 
  Serial.begin(9600);  // Configuration liaison série arduino ( 9600bauds)utilisée lors de la programmation
  BLE_Serial.begin(9600); // Configuration liaison série virtuelle ( 9600bauds) utilisée par l'application
  Config_module_BLE(); // Appel sous programme Config_module_BLE ( voir à la fin du programme )
  
  pinMode(2,OUTPUT); // Configurer  la broche D2 en sortie
  pinMode(3,OUTPUT); // Configurer la broche D3 en sortie
  pinMode(4,OUTPUT); // Configurer la broche D4 en sortie
  pinMode(5,OUTPUT); // Configurer la broche D5 en sortie

  digitalWrite(2,LOW); // Initialise la broche D2 à un niveau bas
  digitalWrite(3,LOW); // Initialise la broche D3 à un niveau bas
  digitalWrite(4,LOW); // Initialise la broche D4 à un niveau bas
  digitalWrite(5,LOW); // Initialise la broche D5 à un niveau bas
       
  delay(1000); // attendre 1 seconde
} 


void loop() // Programme principal

{ 
     
  while(1) // Répeter toujours le programme principal
  {
     recevoir();  // Appel sous programme recevoir, permet d'obtenir le mot w envoyé par l'android ( 1,2,3,4,5 )

    
    ////////////////////////////////////////////////////////////////////
    //                                                                //
    //                        ZONE A COMPLETER                        //
    //                                                                //
    ////////////////////////////////////////////////////////////////////

 
 
 }
} 
 

void recevoir() // Sous programme recevoir
{
  if(BLE_Serial.available()) // Si la liaison Bluetooth est disponible
  {
    w = BLE_Serial.read(); // Lire le contenu de la liaison série est le stocker dans la variable w
    BLE_Serial.flush(); // Purger la liaison série
  }
}

void Config_module_BLE()
{
   BLE_Serial.print("AT+NAMECommande_Panneau"); // Indique le nom du module Bluetooth
   delay(2000); // Attendre 2s 
   BLE_Serial.print("AT+PIN4321"); // Indique le mot de pass de connexion
   delay(2000);// Attendre 2s 
   BLE_Serial.flush(); // Purger la liaison série
}
